Index: tareas_puppet/servidores_aula/actualiza-flashplugin/files/actualizar-flashplugin.sh
===================================================================
--- tareas_puppet/servidores_aula/actualiza-flashplugin/files/actualizar-flashplugin.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/actualiza-flashplugin/files/actualizar-flashplugin.sh	(revision 139)
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Francisco Rodrigo (IES Javier García Téllez - Cáceres)
+# Actualización de los plugin de flash tanto para 32 bits como para 64 bits
+# -------------------------------------------------------------------------
+
+if [ ! -e /root/descargas ];  then mkdir /root/descargas;  fi
+cd /root/descargas
+
+wget -q http://servidor/ficheros/libflashplayer.so
+wget -q http://servidor/ficheros/install_flash_player_10_linux.deb
+
+# Instala en profesor
+if [ -e libflashplayer.so ]; then
+	# Desinstalamos y purgamos:
+	apt-get -y remove --force-yes --purge mozilla-plugin-gnash swfdec-mozilla
+	# Quitamos el enlace del plugin de flash 9 del paquete nspluginwrapper
+	rm /usr/lib/mozilla/plugins/flash-mozilla.so
+
+	# Descomprimimos y movemos al lugar correcto
+	chmod 755 libflashplayer.so
+	chown root:root libflashplayer.so
+	mv -f libflashplayer.so /usr/lib/flashplugin-nonfree/
+
+	#Actualizamos enlaces
+	ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib/iceweasel/plugins/
+	ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib/firefox/plugins/
+	ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib/mozilla/plugins/
+	ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib64/xulrunner-addons/plugins/
+fi
+
+#Instala en terminales
+if [ -e install_flash_player_10_linux.deb ]; then
+  cp install_flash_player_10_linux.deb /opt/ltsp/i386/
+  chroot /opt/ltsp/i386 apt-get -y remove --force-yes --purge mozilla-plugin-gnash swfdec-mozilla flashplugin-nonfree
+  chroot /opt/ltsp/i386 dpkg -i install_flash_player_10_linux.deb
+  rm -f /opt/ltsp/i386/install_flash_player_10_linux.deb
+
+
+  #regeneramos la imagen
+  ltsp-update-image --arch i386
+fi
+
+cd -
+rm -f /root/descargas/*flash* 2>/dev/null
+
+# Los terminales deberÃ¡n reiniciar para cargar la nueva imagen.
+

Property changes on: tareas_puppet/servidores_aula/actualiza-flashplugin/files/actualizar-flashplugin.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/actualiza-flashplugin/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/actualiza-flashplugin/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/actualiza-flashplugin/leeme.txt	(revision 139)
@@ -0,0 +1,21 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula, e imagen de clientes.
+Acción  : Actualizar la versión de flash del navegador a la version 10 en el servidor de aula y en la imagen.
+
+Notas   : Necesita que los ficheros a instalar esten en /var/www/ficheros/
+	  del servidor principal, pues los recoge de ahí vía wget. 
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules
+Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp
+
+------------------------------------------------
+
+22-Marzo-2011.
+Francisco Rodrigo López
+Administrador informático del IES Javier García Téllez - Cáceres.

Property changes on: tareas_puppet/servidores_aula/actualiza-flashplugin/leeme.txt
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/actualiza-flashplugin/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/actualiza-flashplugin/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/actualiza-flashplugin/manifests/init.pp	(revision 139)
@@ -0,0 +1,19 @@
+# /etc/puppet/modules/actualiza-flashplugin/manifests/init.pp
+
+class actualiza-flashplugin {
+
+   file {"/root/actualizar-flashplugin.sh":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///actualiza-flashplugin/actualizar-flashplugin.sh",
+        notify => Exec["actualizar-flashplugin"]
+        }
+
+   exec {"actualizar-flashplugin":
+	command => "/root/actualizar-flashplugin.sh",
+	subscribe => File["/root/actualizar-flashplugin.sh"],
+        refreshonly => true
+       }
+
+}
+
+