Index: tareas_puppet/servidores_aula/quita_rayas_intel/files/lts.conf
===================================================================
--- tareas_puppet/servidores_aula/quita_rayas_intel/files/lts.conf	(nonexistent)
+++ tareas_puppet/servidores_aula/quita_rayas_intel/files/lts.conf	(revision 158)
@@ -0,0 +1,32 @@
+# This is the default lts.conf file for ltsp 5.
+# For more information about valid options please see: 
+# /usr/share/doc/ltsp-client/examples/lts-parameters.txt.gz
+# in the client environment
+
+[default] 
+LOCAL_APPS=True
+LOCAL_APPS_MENU=True
+LOCAL_APPS_MENU_ITEMS=firefox
+#SOUND=False
+#LOCALDEV=False
+CONFIGURE_X=True
+#CONFIGURE_X=False
+#XRAMPREC=80
+#LDM_AUTOLOGIN=True
+
+X_MODE_0 = 1024x768
+X_COLOR_DEPTH = 16
+X_HORZSYNC = 30-54
+X_VERTREFRESH = 50-120
+X_MOUSE_DEVICE = "/dev/psaux"
+X_MOUSE_PROTOCOL = "ExplorerPS/2"
+X_MOUSE_RESOLUTION = 400
+X_MOUSE_BUTTONS = 3
+XkbModel = pc105
+XkbLayout = es
+
+X_VIDEORAM = 8192
+
+X_OPTION_01 = "\"AccelMethod\" \"xaa\""
+X_OPTION_02 = "\"XAANoOffscreenPixmaps\" \"True\""
+X_OPTION_03 = "\"DRI\" \"off\""
Index: tareas_puppet/servidores_aula/quita_rayas_intel/files/blacklist
===================================================================
--- tareas_puppet/servidores_aula/quita_rayas_intel/files/blacklist	(nonexistent)
+++ tareas_puppet/servidores_aula/quita_rayas_intel/files/blacklist	(revision 158)
@@ -0,0 +1,72 @@
+# This file lists modules which will not be loaded as the result of
+# alias expansion, with the purpose of preventing the hotplug subsystem
+# to load them. It does not affect autoloading of modules by the kernel.
+# This file is provided by the udev package.
+
+blacklist i915
+
+# evbug is a debug tool and should be loaded explicitly
+blacklist evbug
+
+# these drivers are very simple, the HID drivers are usually preferred
+blacklist usbmouse
+blacklist usbkbd
+
+# replaced by e100
+blacklist eepro100
+
+# replaced by tulip
+blacklist de4x5
+
+# replaced by tmscsim
+blacklist am53c974
+
+# watchdog drivers should be loaded only if a watchdog daemon is installed
+blacklist acquirewdt
+blacklist advantechwdt
+blacklist alim1535_wdt
+blacklist alim7101_wdt
+blacklist booke_wdt
+blacklist cpu5wdt
+blacklist eurotechwdt
+blacklist hpwdt
+blacklist i6300esb
+blacklist i8xx_tco
+blacklist ib700wdt
+blacklist ibmasr
+blacklist indydog
+blacklist ixp2000_wdt
+blacklist ixp4xx_wdt
+blacklist it8712f_wdt
+blacklist iTCO_wdt
+blacklist machzwd
+blacklist mixcomwd
+blacklist mpc8xx_wdt
+blacklist mpcore_wdt
+blacklist mv64x60_wdt
+blacklist pc87413_wdt
+blacklist pcwd
+blacklist pcwd_pci
+blacklist pcwd_usb
+blacklist s3c2410_wdt
+blacklist sa1100_wdt
+blacklist sbc60xxwdt
+blacklist sbc7240_wdt
+blacklist sbc8360
+blacklist sbc_epx_c3
+blacklist sc1200wdt
+blacklist sc520_wdt
+blacklist scx200_wdt
+blacklist shwdt
+blacklist smsc37b787_wdt
+blacklist softdog
+blacklist w83627hf_wdt
+blacklist w83697hf_wdt
+blacklist w83877f_wdt
+blacklist w83977f_wdt
+blacklist wafer5823wdt
+blacklist wdt285
+blacklist wdt977
+blacklist wdt
+blacklist wdt_pci
+
Index: tareas_puppet/servidores_aula/quita_rayas_intel/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/quita_rayas_intel/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/quita_rayas_intel/leeme.txt	(revision 158)
@@ -0,0 +1,18 @@
+
+Configura los terminales de aula con tarjeta VGA Intel 845 para que desaparezca
+el problema de las rayas en el arranque, asicomo otros problemas relacionados
+con las Xorg en los terminales.
+
+Desactiva la carga del modulo i915 en el arranque el nucleo y el DRI en el
+fichero lts.conf.
+
+Alfonso Pastor
+IES Virgen de Guadalupe (Caceres).
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules.
+Incluirlo en clase-especifica.pp
+
Index: tareas_puppet/servidores_aula/quita_rayas_intel/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/quita_rayas_intel/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/quita_rayas_intel/manifests/init.pp	(revision 158)
@@ -0,0 +1,27 @@
+# Configura la tarjeta de video en los P300 para que no se bloqueen. Se desactiva DRI del kernel y las xorg.
+
+class quita_rayas_intel {
+
+ file { "/opt/ltsp/i386/etc/lts.conf":
+        owner => root, group => root, mode => 644,
+        source => "puppet:///quita_rayas_intel/lts.conf",
+        notify => Exec["crear-imagen-quita-rayas-intel"]
+        }
+
+ file { "/opt/ltsp/i386/etc/modprobe.d/blacklist":
+        owner => root, group => root, mode => 644,
+        source => "puppet:///quita_rayas_intel/blacklist",
+        notify => Exec["crear-imagen-quita-rayas-intel"]
+        }
+
+ exec { "crear-imagen-quita-rayas-intel":
+        command => "/usr/sbin/ltsp-update-image --arch i386",
+        subscribe => File["/opt/ltsp/i386/etc/lts.conf"],
+        subscribe => File["/opt/ltsp/i386/etc/modprobe.d/blacklist"],
+        refreshonly => true
+       }
+
+
+}
+
+
Index: tareas_puppet/servidores_aula/quita_rayas_intel.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/quita_rayas_intel.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property