Index: controlies/branches/web2py/wsgihandler.py
===================================================================
--- controlies/branches/web2py/wsgihandler.py	(nonexistent)
+++ controlies/branches/web2py/wsgihandler.py	(revision 162)
@@ -0,0 +1,42 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+
+"""
+This file is part of the web2py Web Framework
+Copyrighted by Massimo Di Pierro <mdipierro@cs.depaul.edu>
+License: LGPLv3 (http://www.gnu.org/licenses/lgpl.html)
+
+
+This is a WSGI handler for Apache
+Requires apache+mod_wsgi.
+
+In httpd.conf put something like:
+
+    LoadModule wsgi_module modules/mod_wsgi.so
+    WSGIScriptAlias / /path/to/wsgihandler.py
+
+"""
+
+# change these parameters as required
+LOGGING = False
+SOFTCRON = False
+
+import sys
+import os
+
+path = os.path.dirname(os.path.abspath(__file__))
+os.chdir(path)
+sys.path = [path]+[p for p in sys.path if not p==path]
+
+import gluon.main
+
+if LOGGING:
+    application = gluon.main.appfactory(wsgiapp=gluon.main.wsgibase,
+                                        logfilename='httpserver.log',
+                                        profilerfilename=None)
+else:
+    application = gluon.main.wsgibase
+
+if SOFTCRON:
+    from gluon.settings import global_settings
+    global_settings.web2py_crontype = 'soft'
Index: controlies/branches/web2py/controlies-apache
===================================================================
--- controlies/branches/web2py/controlies-apache	(nonexistent)
+++ controlies/branches/web2py/controlies-apache	(revision 162)
@@ -0,0 +1,73 @@
+WSGIRestrictStdout Off
+<VirtualHost *:80>
+  ServerName ldap
+
+  WSGIDaemonProcess web2py user=www-data group=www-data
+
+ WSGIProcessGroup web2py
+ WSGIScriptAlias / /var/web2py/wsgihandler.py
+
+  <Directory /var/web2py>
+    AllowOverride None
+    Order Allow,Deny
+    Deny from all
+    <Files wsgihandler.py>
+      Allow from all
+    </Files>
+  </Directory>
+
+  AliasMatch ^/controlies/([^/]+)/static/(.*) \
+           /var/web2py/applications/$1/static/$2
+  <Directory /var/web2py/applications/*/static/>
+    Order Allow,Deny
+    Allow from all
+  </Directory>
+
+
+  <LocationMatch ^/controlies/([^/]+)/appadmin>
+  Deny from all
+  </LocationMatch>
+
+  CustomLog /var/log/apache2/controlies-access.log common
+  ErrorLog /var/log/apache2/controlies-error.log
+</VirtualHost>
+
+
+<IfModule mod_ssl.c>
+<VirtualHost *:443>
+  ServerName ldap
+ WSGIScriptAlias / /var/web2py/wsgihandler.py
+
+
+
+  SSLEngine on
+  SSLCertificateFile    /etc/ssl/certs/ssl-cert-snakeoil.pem
+  SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key
+
+
+
+
+  <Directory /var/web2py>
+    AllowOverride None
+    Order Allow,Deny
+    Deny from all
+    <Files wsgihandler.py>
+      Allow from all
+    </Files>
+  </Directory>
+
+  AliasMatch ^/controlies/([^/]+)/static/(.*) \
+           /var/web2py/applications/$1/static/$2
+  <Directory /var/web2py/applications/*/static/>
+    Order Allow,Deny
+    Allow from all
+  </Directory>
+
+  CustomLog /var/log/apache2/secure-controlies-access.log common
+  ErrorLog /var/log/apache2/secure-controlies-error.log
+
+
+</VirtualHost>
+
+</IfModule>
+
Index: controlies/branches/web2py/debian/install
===================================================================
--- controlies/branches/web2py/debian/install	(nonexistent)
+++ controlies/branches/web2py/debian/install	(revision 162)
@@ -0,0 +1,4 @@
+applications var/web2py
+controlies-apache etc/apache2/sites-available
+wsgihandler.py var/web2py
+VERSION var/web2py
Index: controlies/branches/web2py/debian/changelog
===================================================================
--- controlies/branches/web2py/debian/changelog	(nonexistent)
+++ controlies/branches/web2py/debian/changelog	(revision 162)
@@ -0,0 +1,6 @@
+controlies (0.1-1) unstable; urgency=low
+
+  * First Debian package
+
+ -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Wed, 04 May 2011 19:20:55 +0200
+
Index: controlies/branches/web2py/debian/copyright
===================================================================
--- controlies/branches/web2py/debian/copyright	(nonexistent)
+++ controlies/branches/web2py/debian/copyright	(revision 162)
@@ -0,0 +1,26 @@
+This work was packaged for Debian by:
+
+    José L. Redrejo Rodríguez <jredrejo@debian.org> on Tue, 29 Jun 2010 20:40:58 +0200
+
+Upstream Author(s):
+
+    Manuel Mora Gordillo <manuito @no-spam@ gmail.com>
+    Francisco Mendez Palma <fmendezpalma @no-spam@ gmail.com>
+
+Copyright:
+
+    Copyright (C) 2011  Manuel Mora Gordillo
+                        Francisco Mendez Palma
+
+License:
+
+    ControlIES is Licensed under the LGPL license version 3 
+    see "/usr/share/common-licenses/LGPL-3".
+
+The Debian packaging is:
+
+    Copyright (C) 2010 José L. Redrejo Rodríguez <jredrejo@debian.org>
+
+and is licensed under the GPL version 3,
+see "/usr/share/common-licenses/GPL-3".
+
Index: controlies/branches/web2py/debian/rules
===================================================================
--- controlies/branches/web2py/debian/rules	(nonexistent)
+++ controlies/branches/web2py/debian/rules	(revision 162)
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ 

Property changes on: controlies/branches/web2py/debian/rules
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: controlies/branches/web2py/debian/control
===================================================================
--- controlies/branches/web2py/debian/control	(nonexistent)
+++ controlies/branches/web2py/debian/control	(revision 162)
@@ -0,0 +1,13 @@
+Source: controlies
+Section: python
+Priority: extra
+Maintainer: José L. Redrejo Rodríguez <jredrejo@debian.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.8.4
+
+Package: controlies
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-gluon, python-ldap, python-dev, libapache2-mod-wsgi, libapache2-mod-python, libapache2-mod-gnutls, openssl
+Description: Gestión de LDAP para un centro educativo
+ ControlIES gestiona cuentas de usuarios, grupos, aulas, departamentos,
+ distintos tipos de ordenadores, importación de Rayuela, etc.
Index: controlies/branches/web2py/debian/dirs
===================================================================
--- controlies/branches/web2py/debian/dirs	(nonexistent)
+++ controlies/branches/web2py/debian/dirs	(revision 162)
@@ -0,0 +1,4 @@
+var/web2py
+etc/apache2/sites-available
+etc/ldap/ssl
+
Index: controlies/branches/web2py/debian/compat
===================================================================
--- controlies/branches/web2py/debian/compat	(nonexistent)
+++ controlies/branches/web2py/debian/compat	(revision 162)
@@ -0,0 +1 @@
+7
Index: controlies/branches/web2py/debian/postinst
===================================================================
--- controlies/branches/web2py/debian/postinst	(nonexistent)
+++ controlies/branches/web2py/debian/postinst	(revision 162)
@@ -0,0 +1,32 @@
+#!/bin/sh
+# postinst script for ayuntamientos-doc
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    configure)
+
+	chown -R  www-data:www-data /var/web2py
+    a2enmod ssl
+    a2enmod wsgi
+    a2ensite controlies-apache
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: controlies/branches/web2py/VERSION
===================================================================
--- controlies/branches/web2py/VERSION	(nonexistent)
+++ controlies/branches/web2py/VERSION	(revision 162)
@@ -0,0 +1 @@
+Version 1.95.1 (2011-04-25 15:04:14)
Index: controlies/branches/web2py/applications/controlies/LICENSE
===================================================================
--- controlies/branches/web2py/applications/controlies/LICENSE	(revision 161)
+++ controlies/branches/web2py/applications/controlies/LICENSE	(nonexistent)
@@ -1,4 +0,0 @@
-The web2py welcome app is licensed under public domain 
-(except for the css and js files that it includes, which have their own third party licenses).
-
-You can modify this license when you add your own code.
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_event.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_event.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_event.table	(nonexistent)
@@ -1,26 +0,0 @@
-(dp1
-S'origin'
-p2
-S'CHAR(512)'
-p3
-sS'client_ip'
-p4
-S'CHAR(512)'
-p5
-sS'user_id'
-p6
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p7
-sS'description'
-p8
-S'TEXT'
-p9
-sS'time_stamp'
-p10
-S'TIMESTAMP'
-p11
-sS'id'
-p12
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p13
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_membership.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_membership.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_membership.table	(nonexistent)
@@ -1,14 +0,0 @@
-(dp1
-S'group_id'
-p2
-S'INTEGER REFERENCES auth_group(id) ON DELETE CASCADE'
-p3
-sS'user_id'
-p4
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p5
-sS'id'
-p6
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p7
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page_archive.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page_archive.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page_archive.table	(nonexistent)
@@ -1,54 +0,0 @@
-(dp1
-S'body'
-p2
-S'TEXT'
-p3
-sS'modified_by'
-p4
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p5
-sS'title'
-p6
-S'CHAR(512)'
-p7
-sS'current_record'
-p8
-S'INTEGER REFERENCES plugin_wiki_page(id) ON DELETE CASCADE'
-p9
-sS'is_active'
-p10
-S'CHAR(1)'
-p11
-sS'changelog'
-p12
-S'CHAR(512)'
-p13
-sS'created_by'
-p14
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p15
-sS'id'
-p16
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p17
-sS'created_on'
-p18
-S'TIMESTAMP'
-p19
-sS'role'
-p20
-S'INTEGER REFERENCES auth_group(id) ON DELETE CASCADE'
-p21
-sS'modified_on'
-p22
-S'TIMESTAMP'
-p23
-sS'is_public'
-p24
-S'CHAR(1)'
-p25
-sS'slug'
-p26
-S'CHAR(512)'
-p27
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_tag.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_tag.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_tag.table	(nonexistent)
@@ -1,34 +0,0 @@
-(dp1
-S'modified_by'
-p2
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p3
-sS'name'
-p4
-S'CHAR(512)'
-p5
-sS'links'
-p6
-S'INTEGER'
-p7
-sS'is_active'
-p8
-S'CHAR(1)'
-p9
-sS'created_by'
-p10
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p11
-sS'created_on'
-p12
-S'TIMESTAMP'
-p13
-sS'modified_on'
-p14
-S'TIMESTAMP'
-p15
-sS'id'
-p16
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p17
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_user.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_user.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_user.table	(nonexistent)
@@ -1,38 +0,0 @@
-(dp1
-S'username'
-p2
-S'CHAR(128)'
-p3
-sS'reset_password_key'
-p4
-S'CHAR(512)'
-p5
-sS'first_name'
-p6
-S'CHAR(128)'
-p7
-sS'last_name'
-p8
-S'CHAR(128)'
-p9
-sS'registration_id'
-p10
-S'CHAR(512)'
-p11
-sS'password'
-p12
-S'CHAR(512)'
-p13
-sS'registration_key'
-p14
-S'CHAR(512)'
-p15
-sS'email'
-p16
-S'CHAR(512)'
-p17
-sS'id'
-p18
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p19
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_page.table	(nonexistent)
@@ -1,50 +0,0 @@
-(dp1
-S'body'
-p2
-S'TEXT'
-p3
-sS'modified_by'
-p4
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p5
-sS'title'
-p6
-S'CHAR(512)'
-p7
-sS'changelog'
-p8
-S'CHAR(512)'
-p9
-sS'is_active'
-p10
-S'CHAR(1)'
-p11
-sS'created_by'
-p12
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p13
-sS'slug'
-p14
-S'CHAR(512)'
-p15
-sS'created_on'
-p16
-S'TIMESTAMP'
-p17
-sS'role'
-p18
-S'INTEGER REFERENCES auth_group(id) ON DELETE CASCADE'
-p19
-sS'modified_on'
-p20
-S'TIMESTAMP'
-p21
-sS'is_public'
-p22
-S'CHAR(1)'
-p23
-sS'id'
-p24
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p25
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating_aux.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating_aux.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating_aux.table	(nonexistent)
@@ -1,18 +0,0 @@
-(dp1
-S'rating'
-p2
-S'DOUBLE'
-p3
-sS'master'
-p4
-S'INTEGER REFERENCES plugin_wiki_rating(id) ON DELETE CASCADE'
-p5
-sS'id'
-p6
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p7
-sS'created_by'
-p8
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p9
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_rating.table	(nonexistent)
@@ -1,22 +0,0 @@
-(dp1
-S'record_id'
-p2
-S'INTEGER'
-p3
-sS'rating'
-p4
-S'DOUBLE'
-p5
-sS'counter'
-p6
-S'INTEGER'
-p7
-sS'tablename'
-p8
-S'CHAR(512)'
-p9
-sS'id'
-p10
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p11
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_group.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_group.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_group.table	(nonexistent)
@@ -1,14 +0,0 @@
-(dp1
-S'role'
-p2
-S'CHAR(512)'
-p3
-sS'id'
-p4
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p5
-sS'description'
-p6
-S'TEXT'
-p7
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_attachment.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_attachment.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_attachment.table	(nonexistent)
@@ -1,42 +0,0 @@
-(dp1
-S'modified_by'
-p2
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p3
-sS'name'
-p4
-S'CHAR(512)'
-p5
-sS'tablename'
-p6
-S'CHAR(512)'
-p7
-sS'is_active'
-p8
-S'CHAR(1)'
-p9
-sS'created_by'
-p10
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p11
-sS'filename'
-p12
-S'CHAR(512)'
-p13
-sS'modified_on'
-p14
-S'TIMESTAMP'
-p15
-sS'created_on'
-p16
-S'TIMESTAMP'
-p17
-sS'record_id'
-p18
-S'INTEGER'
-p19
-sS'id'
-p20
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p21
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/sql.log
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/sql.log	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/sql.log	(nonexistent)
@@ -1,145 +0,0 @@
-timestamp: 2011-04-14T18:21:04.184171
-CREATE TABLE auth_user(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    first_name CHAR(128),
-    last_name CHAR(128),
-    email CHAR(512),
-    password CHAR(512),
-    registration_key CHAR(512),
-    reset_password_key CHAR(512)
-);
-success!
-timestamp: 2011-04-14T18:21:04.401126
-CREATE TABLE auth_group(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    role CHAR(512),
-    description TEXT
-);
-success!
-timestamp: 2011-04-14T18:21:04.419469
-CREATE TABLE auth_membership(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    user_id INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    group_id INTEGER REFERENCES auth_group(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.429866
-CREATE TABLE auth_permission(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    group_id INTEGER REFERENCES auth_group(id) ON DELETE CASCADE,
-    name CHAR(512),
-    table_name CHAR(512),
-    record_id INTEGER
-);
-success!
-timestamp: 2011-04-14T18:21:04.448780
-CREATE TABLE auth_event(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    time_stamp TIMESTAMP,
-    client_ip CHAR(512),
-    user_id INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    origin CHAR(512),
-    description TEXT
-);
-success!
-timestamp: 2011-04-14T18:21:04.501316
-CREATE TABLE plugin_wiki_page(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    slug CHAR(512),
-    title CHAR(512),
-    is_public CHAR(1),
-    body TEXT,
-    role INTEGER REFERENCES auth_group(id) ON DELETE CASCADE,
-    changelog CHAR(512),
-    is_active CHAR(1),
-    created_on TIMESTAMP,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    modified_on TIMESTAMP,
-    modified_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.512828
-CREATE TABLE plugin_wiki_page_archive(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    current_record INTEGER REFERENCES plugin_wiki_page(id) ON DELETE CASCADE,
-    slug CHAR(512),
-    title CHAR(512),
-    is_public CHAR(1),
-    body TEXT,
-    role INTEGER REFERENCES auth_group(id) ON DELETE CASCADE,
-    changelog CHAR(512),
-    is_active CHAR(1),
-    created_on TIMESTAMP,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    modified_on TIMESTAMP,
-    modified_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.523578
-CREATE TABLE plugin_wiki_attachment(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    tablename CHAR(512),
-    record_id INTEGER,
-    name CHAR(512),
-    filename CHAR(512),
-    is_active CHAR(1),
-    created_on TIMESTAMP,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    modified_on TIMESTAMP,
-    modified_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.546328
-CREATE TABLE plugin_wiki_comment(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    tablename CHAR(512),
-    record_id INTEGER,
-    body CHAR(512),
-    is_active CHAR(1),
-    created_on TIMESTAMP,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    modified_on TIMESTAMP,
-    modified_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.555409
-CREATE TABLE plugin_wiki_tag(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    name CHAR(512),
-    links INTEGER,
-    is_active CHAR(1),
-    created_on TIMESTAMP,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE,
-    modified_on TIMESTAMP,
-    modified_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-14T18:21:04.563767
-CREATE TABLE plugin_wiki_link(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    tag INTEGER REFERENCES plugin_wiki_tag(id) ON DELETE CASCADE,
-    table_name CHAR(512),
-    record_id INTEGER
-);
-success!
-timestamp: 2011-04-14T18:21:04.571236
-CREATE TABLE plugin_wiki_rating(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    tablename CHAR(512),
-    record_id INTEGER,
-    rating DOUBLE,
-    counter INTEGER
-);
-success!
-timestamp: 2011-04-14T18:21:04.579249
-CREATE TABLE plugin_wiki_rating_aux(
-    id INTEGER PRIMARY KEY AUTOINCREMENT,
-    master INTEGER REFERENCES plugin_wiki_rating(id) ON DELETE CASCADE,
-    rating DOUBLE,
-    created_by INTEGER REFERENCES auth_user(id) ON DELETE CASCADE
-);
-success!
-timestamp: 2011-04-15T11:26:11.402740
-ALTER TABLE auth_user ADD username CHAR(128);
-timestamp: 2011-04-15T11:26:11.408879
-ALTER TABLE auth_user ADD registration_id CHAR(512);
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_permission.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_permission.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_auth_permission.table	(nonexistent)
@@ -1,22 +0,0 @@
-(dp1
-S'record_id'
-p2
-S'INTEGER'
-p3
-sS'group_id'
-p4
-S'INTEGER REFERENCES auth_group(id) ON DELETE CASCADE'
-p5
-sS'table_name'
-p6
-S'CHAR(512)'
-p7
-sS'id'
-p8
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p9
-sS'name'
-p10
-S'CHAR(512)'
-p11
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_comment.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_comment.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_comment.table	(nonexistent)
@@ -1,38 +0,0 @@
-(dp1
-S'body'
-p2
-S'CHAR(512)'
-p3
-sS'modified_by'
-p4
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p5
-sS'is_active'
-p6
-S'CHAR(1)'
-p7
-sS'tablename'
-p8
-S'CHAR(512)'
-p9
-sS'created_by'
-p10
-S'INTEGER REFERENCES auth_user(id) ON DELETE CASCADE'
-p11
-sS'modified_on'
-p12
-S'TIMESTAMP'
-p13
-sS'created_on'
-p14
-S'TIMESTAMP'
-p15
-sS'record_id'
-p16
-S'INTEGER'
-p17
-sS'id'
-p18
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p19
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_link.table
===================================================================
--- controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_link.table	(revision 161)
+++ controlies/branches/web2py/applications/controlies/databases/c8b669d15150d7109e5f7ab36744a5b7_plugin_wiki_link.table	(nonexistent)
@@ -1,18 +0,0 @@
-(dp1
-S'record_id'
-p2
-S'INTEGER'
-p3
-sS'tag'
-p4
-S'INTEGER REFERENCES plugin_wiki_tag(id) ON DELETE CASCADE'
-p5
-sS'table_name'
-p6
-S'CHAR(512)'
-p7
-sS'id'
-p8
-S'INTEGER PRIMARY KEY AUTOINCREMENT'
-p9
-s.
\ No newline at end of file
Index: controlies/branches/web2py/applications/controlies/databases/storage.sqlite
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: controlies/branches/web2py/applications/controlies/databases/storage.sqlite
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property
Index: controlies/branches/web2py/applications/controlies/cache/cache.shelve
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: controlies/branches/web2py/applications/controlies/cache/cache.shelve
___________________________________________________________________
Deleted: svn:mime-type
## -1 +0,0 ##
-application/octet-stream
\ No newline at end of property